org.apache.ignite.internal.processors.cache.persistence.wal

## Class FsyncModeFileWriteAheadLogManager.ReadFileHandle

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.FsyncModeFileWriteAheadLogManager.ReadFileHandle

All Implemented Interfaces:
  AbstractWalRecordsIterator.AbstractReadFileHandle

Enclosing class:
  FsyncModeFileWriteAheadLogManager

    public static class FsyncModeFileWriteAheadLogManager.ReadFileHandle
    extends Object
    implements AbstractWalRecordsIterator.AbstractReadFileHandle

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`long` `idx()`
`FileInput` `in()`
`RecordSerializer` `ser()`
`boolean` `workDir()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()
               throws IgniteCheckedException

Specified by:
  `close` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`
Throws:
  `IgniteCheckedException` - If failed to close the WAL segment file.

#### idx

    public long idx()

Specified by:
  `idx` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`

#### in

    public FileInput in()

Specified by:
  `in` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`

#### ser

    public RecordSerializer ser()

Specified by:
  `ser` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`

#### workDir

    public boolean workDir()

Specified by:
  `workDir` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018